### Function

# Babl FuncPlanar

#### Declaration

    void
    (* BablFuncPlanar) (
      const Babl* conversion,
      int src_bands,
      const char** src,
      int* src_pitch,
      int dst_bands,
      char** dst,
      int* dst_pitch,
      long n,
      void* user_data
    )

#### Description

No description available.

#### Parameters

`conversion`

  Type: `Babl`

  No description available.

  The data is owned by the caller of the function.

`src_bands`

  Type: `int`

  No description available.

`src`

  Type: `const char**`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`src_pitch`

  Type: `int*`

  No description available.

  The data is owned by the caller of the function.

`dst_bands`

  Type: `int`

  No description available.

`dst`

  Type: `char**`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dst_pitch`

  Type: `int*`

  No description available.

  The data is owned by the caller of the function.

`n`

  Type: `long`

  No description available.

`user_data`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.